List Apps - App Registry
List Apps
POST /api/v1/app-registry/list
Content-Type: application/json
Authorization: Bearer <KS>
{
"filter": {
"appType": "ep",
"status": "enabled"
},
"pager": {
"offset": 0,
"limit": 25
}
}
All filter fields are optional. If no filter is provided, all apps for your partner are returned.
10.1 Filter Fields
| Field | Type | Description |
|---|---|---|
idIn | string[] | Filter by app GUIDs. Invalid IDs are silently ignored; if all IDs are invalid, returns empty results. |
appCustomIdIn | string[] | Filter by custom IDs |
appCustomNameIn | string[] | Filter by custom names |
appType | string | Filter by app type |
status | string | enabled or disabled |
domain | string | Filter by organization domain |
organizationId | string | Filter by organization ID |
createdAtGreaterThanOrEqual | string | ISO 8601 minimum creation date |
createdAtLessThanOrEqual | string | ISO 8601 maximum creation date |
updatedAtGreaterThanOrEqual | string | ISO 8601 minimum update date |
updatedAtLessThanOrEqual | string | ISO 8601 maximum update date |
10.2 Pager
| Field | Type | Default | Constraints | Description |
|---|---|---|---|---|
offset | integer | 0 | min: 0 | Number of records to skip |
limit | integer | 30 | min: 1, max: 5000 | Maximum records to return |
If the pager is omitted entirely, defaults of offset: 0, limit: 30 are used.
Response:
{
"objects": [
{
"id": "6f8a3c12-4b5d-4e9f-a1c7-8d2e3f4a5b6c",
"partnerId": 1234567,
"appCustomId": "my-events-site-01",
"appCustomName": "Annual Conference Portal",
"appType": "ep",
"status": "enabled",
"version": 0,
"createdAt": "2026-04-09T04:56:27.940Z",
"updatedAt": "2026-04-09T04:56:27.940Z",
"objectType": "App"
}
],
"totalCount": 42
}
# List all enabled Events Platform apps
curl -X POST "$KALTURA_APP_REGISTRY_URL/app-registry/list" \
-H "Authorization: Bearer $KALTURA_KS" \
-H "Content-Type: application/json" \
-d '{
"filter": {
"appType": "ep",
"status": "enabled"
},
"pager": {
"offset": 0,
"limit": 50
}
}'